#
# spec file for package kde4-filesystem (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kde4-filesystem
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
License:        LGPLv2.1+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/GUI/KDE
Summary:        KDE4 Directory Layout
Source0:        macros.kde4
Source1:        COPYING
Provides:       kde4-fsview  = 3.93.0.svn712059
Obsoletes:      kde4-fsview <= 3.93.0.svn712059
Provides:       kdeaddons4  = 3.93.0.svn712059
Obsoletes:      kdeaddons4 <= 3.93.0.svn712059
Provides:       kdeaddons4-kicker  = 3.93.0
Obsoletes:      kdeaddons4-kicker <= 3.93.0
Provides:       kdeaddons4-knewsticker  = 3.93.0.svn712059
Obsoletes:      kdeaddons4-knewsticker <= 3.93.0.svn712059
Provides:       kdeaddons4-konqueror  = 3.93.0.svn712059
Obsoletes:      kdeaddons4-konqueror <= 3.93.0.svn712059
Provides:       kdeaddons4-renamedlgplugins  = 3.93.0.svn712059
Obsoletes:      kdeaddons4-renamedlgplugins <= 3.93.0.svn712059
Provides:       kde4-kbackgammon  = 3.95.1
Obsoletes:      kde4-kbackgammon <= 3.95.1
Provides:       kde4-kghostview  = 3.95.1
Obsoletes:      kde4-kghostview <= 3.95.1
Provides:       kde4-noatun  = 3.93.0.svn712059
Obsoletes:      kde4-noatun <= 3.93.0.svn712059
Provides:       kdeaccessibility4-kicker  = 3.97.1
Obsoletes:      kdeaccessibility4-kicker <= 3.97.1
Provides:       kdetoys4-kicker  = 3.97.1
Obsoletes:      kdetoys4-kicker <= 3.97.1
Provides:       kde4-khexeditor  = 3.97.1
Obsoletes:      kde4-khexeditor <= 3.97.1
Provides:       kde4-kregexpeditor  = 3.97.1
Obsoletes:      kde4-kregexpeditor <= 3.97.1
%if %suse_version <= 1030
Obsoletes:      kde4-akregator <= 4.0
Obsoletes:      kde4-kaddressbook <= 4.0
Obsoletes:      kde4-kalarm <= 4.0
Obsoletes:      kde4-kmail <= 4.0
Obsoletes:      kde4-kmobiletools <= 4.0
Obsoletes:      kde4-knode <= 4.0
Obsoletes:      kde4-knotes <= 4.0
Obsoletes:      kde4-kontact <= 4.0
Obsoletes:      kde4-korganizer <= 4.0
Obsoletes:      kde4-korn <= 4.0
Obsoletes:      kde4-kpilot <= 4.0
Obsoletes:      kde4-ktimetracker <= 4.0
Obsoletes:      kde4-ktnef <= 4.0
Obsoletes:      kde4-lisa <= 4.0
Obsoletes:      kdepim4 <= 4.0
Obsoletes:      kdepim4 <= 4.0
Obsoletes:      kdepim4-devel <= 4.0
Obsoletes:      kdepim4-wizards <= 4.0
Obsoletes:      libakonadi1 <= 4.0.65
Obsoletes:      libkdepim4 <= 4.0
Obsoletes:      libkdepim4-devel <= 4.0
%endif
Obsoletes:      extragear-libs <= 4.0.80
Obsoletes:      kde4-kmilo <= 4.0.4
Obsoletes:      kde4-kmilo <= 4.0.72
Obsoletes:      kde4-kmobiletools <= 4.0.80
Obsoletes:      kde4-knewsticker < 4.1.70
Obsoletes:      kde4-korn <= 4.1.0
Obsoletes:      kde4-kpercentage <= 4.0.73
Obsoletes:      kde4-kpilot <= 4.0.80
Obsoletes:      kde4-kworldclock <= 4.0.4
Obsoletes:      kde4-kworldclock <= 4.0.74
Obsoletes:      kde4-kxsldbg <= 4.0
Obsoletes:      kde4-quanta <= 4.0
Obsoletes:      kde4-secpolicy <= 4.0.80
Obsoletes:      kde4-kpercentage <= 4.1.87
Obsoletes:      kde4-ktnef <= 4.1.87
Obsoletes:      kde4-style-phase <= 4.1.87
Obsoletes:      kdeartwork4-kwin <= 4.1.87
Obsoletes:      kdeartwork4-kworldclock <= 4.1.87
Obsoletes:      libkscan4 <= 4.0.4
Obsoletes:      libkscan4 <= 4.0.73
# keep in sync with macros.kde4
# TODO: can we include macros.kde4 directly to define it?
%define _kde_config_dir /usr/share/kde4/config

%description
This package installs the KDE directory structure.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep

%build
%if %suse_version < 1030
sed -i -e "/.*Bsymbolic-functions.*/d" %{SOURCE0}
%endif

%install
  install -D -m644 %{SOURCE0} $RPM_BUILD_ROOT/etc/rpm/macros.kde4
  install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/packages/kde4-filesystem/COPYING
  mkdir -p $RPM_BUILD_ROOT/%_kde_config_dir
  mkdir -p $RPM_BUILD_ROOT/usr/share/applications/kde4
  for size in scalable 128x128 64x64 48x48 32x32 22x22 16x16; do
    for type in actions apps devices filesystems mimetypes status; do
      for theme in crystalsvg oxygen hicolor locolor; do
        mkdir -p $RPM_BUILD_ROOT/usr/share/icons/$theme/$size/$type
      done
    done
  done
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/apps/small/16x16
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/apps/small/32x32
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/status/small/16x16
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/status/small/22x22
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/status/small/48x48
  mkdir -p $RPM_BUILD_ROOT/%_libdir/kde4
  mkdir -p $RPM_BUILD_ROOT/%_libdir/kde4/libexec
  mkdir -p $RPM_BUILD_ROOT/%_libdir/kde4/plugins
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/services/phononbackends
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/services/ServiceMenus
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/apps
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/apps/color-schemes
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/apps/khtml/kpartplugins
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/apps/konqsidebartng/virtual_folders/services
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/config.kcfg
  mkdir -p $RPM_BUILD_ROOT/usr/include/KDE
  for lang in `find /usr/share/locale/* -maxdepth 0 -type d -printf "%f\n"`; do mkdir -p $RPM_BUILD_ROOT/usr/share/doc/kde/HTML/$lang; done
%if 0%suse_version <= 1030
  mkdir -p $RPM_BUILD_ROOT/usr/share/dbus-1/interfaces
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%config /etc/rpm/macros.kde4
%config %_kde_config_dir
%{_prefix}/share/kde4
%dir /usr/share/doc/packages/kde4-filesystem
/usr/include/KDE
/usr/share/doc/kde
/usr/share/doc/packages/kde4-filesystem/COPYING
/usr/share/icons/*
/usr/share/applications/kde4
/usr/share/kde4/services/phononbackends
%_libdir/kde4
%if %suse_version <= 1030
/usr/share/dbus-1/interfaces
%endif

%changelog
* Thu Jan 28 2010 llunak@novell.com
- restrict basic requirements to the whole major KDE version,
  not minor version, otherwise new KDE minor versions can cause
  dependency problems
* Thu Jan 28 2010 llunak@novell.com
- bump version dependencies to 4.3.5
* Thu Dec  3 2009 dmueller@suse.de
- bump version to 4.3.4
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Fri Aug 28 2009 dmueller@suse.de
- bump version to 4.3.1
* Mon Aug 10 2009 llunak@novell.com
- fix kde4 location macros
* Thu Jul 30 2009 llunak@novell.com
- consistent _kde4_ rpm file location macros
* Wed Jul 29 2009 dmueller@suse.de
- bump version to 4.3.0
* Tue Jul 21 2009 dmueller@suse.de
- bump version to 4.2.98
* Thu Jul  9 2009 beineri@opensuse.org
- bump version to 4.2.96
* Wed Jul  1 2009 beineri@opensuse.org
- bump version to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- bump version to 4.2.90
* Sun May 31 2009 dmueller@suse.de
- bump version to 4.2.88
* Fri May 15 2009 beineri@opensuse.org
- update to 4.2.85 (KDE 4.3 Beta1)
* Wed May 13 2009 dmueller@suse.de
- add versioned Qt dependency
* Thu Apr 30 2009 dmueller@suse.de
- bump to 4.2.3
* Sun Apr  5 2009 beineri@opensuse.org
- own /usr/share/doc/kde/HTML/<lang> (bnc#457911)
* Thu Mar 26 2009 dmueller@suse.de
- bump to 4.2.2
* Thu Feb 26 2009 dmueller@suse.de
- bump to 4.2.1
* Thu Jan 22 2009 dmueller@suse.de
- bump to 4.2.0
* Tue Jan 13 2009 stbinner@suse.de
- bump version to 4.1.96 (KDE 4.2 RC1)
* Mon Jan 12 2009 dmueller@suse.de
- add missing obsoletes
* Mon Jan 12 2009 stbinner@suse.de
- bump version to 4.1.87
* Sun Nov  2 2008 dmueller@suse.de  
- bump version to 4.1.3
* Sun Nov  2 2008 coolo@suse.de
- do not use the desktop file script manually but let the
  macro expand
* Thu Sep 25 2008 dmueller@suse.de
- bump version to 4.1.2
* Mon Sep  8 2008 dmueller@suse.de
- remove Bsymbolic-functions for older distros (e.g. SLE10)
* Mon Sep  8 2008 dmueller@suse.de
- do not strip LDFLAGS
* Thu Aug 28 2008 dmueller@suse.de
- bump version to 4.1.1
* Wed Aug 13 2008 dmueller@suse.de
- experimental link reduction
* Mon Aug  4 2008 dmueller@suse.de
- add more icon directories to the filelist
* Wed Jul 23 2008 dmueller@suse.de
- update requires to 4.1.0
  * obsolete kde4-korn
* Fri Jul 18 2008 dmueller@suse.de
- bump version to 4.0.99
* Mon Jul 14 2008 dmueller@suse.de
- bump version to 4.0.98
* Thu Jul 10 2008 schwab@suse.de
- Fix typo in %%create_subdir_filelist macro.
* Fri Jul  4 2008 dmueller@suse.de
- bump version to 4.0.85
* Fri Jul  4 2008 schwab@suse.de
- Fix infinite loop.
- Rewrite %%create_subdir_filelist macro.
* Thu Jul  3 2008 dmueller@suse.de
- no longer noarch, list kde4 plugin dirs
* Mon Jun 30 2008 dmueller@suse.de
- make the build verbose (bnc#403687)
* Thu Jun 26 2008 dmueller@suse.de
- bump version to 4.0.84
* Tue Jun 24 2008 dmueller@suse.de
- bump version to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82:
  * kde4-secpolicy gone
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81 tree
* Tue May  6 2008 stbinner@suse.de
- bump version to 4.0.4
* Mon Apr 28 2008 dmueller@suse.de
- rename akonadi to akonadi-runtime to resolve version conflict
* Fri Apr 25 2008 dmueller@suse.de
- fix akonadi obsolete
* Mon Apr 21 2008 dmueller@suse.de
- fix libakonadi1 obsolete
- stricter requirements to reject UNSTABLE tree packages
- fix filelist macro to not list files twice
* Mon Apr 14 2008 dmueller@suse.de
- add kdepimlibs requires
- add color-schemes dir
* Mon Apr  7 2008 dmueller@suse.de
- package kde_config_dir
* Mon Apr  7 2008 dmueller@suse.de
- remove provides for kdepim related stuff
* Fri Apr  4 2008 dmueller@suse.de
- move global config dir to /usr/share/kde4
* Fri Mar 28 2008 dmueller@suse.de
- update requirements to 4.0.3
* Thu Feb 28 2008 dmueller@suse.de
- update to 4.0.2
* Thu Feb 14 2008 dmueller@suse.de
- allow optional parameters to %%cmake_kde4
* Wed Feb  6 2008 stbinner@suse.de
- increase platform version for one-click install etc.
* Wed Jan 30 2008 dmueller@suse.de
- update to 4.0.1
* Wed Jan 16 2008 stbinner@suse.de
- fix obsoletes/provides list
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0
* Thu Jan  3 2008 stbinner@suse.de
- update to 3.97.2
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Mon Dec  3 2007 dmueller@suse.de
- bump version to 3.96.2
* Wed Nov 28 2007 dmueller@suse.de
- update vresion to 3.96.1
- add platform version macro
* Tue Nov 20 2007 dmueller@suse.de
- bump version to 3.96
* Tue Nov  6 2007 dmueller@suse.de
- bump version to 3.95.2
* Tue Oct 30 2007 dmueller@suse.de
- bump version number to 3.95
* Wed Oct 17 2007 dmueller@suse.de
- one more missing directory
* Wed Oct 17 2007 dmueller@suse.de
- add some more icon related directories
* Tue Oct 16 2007 dmueller@suse.de
- hack around dbus-1 packaging errors on older distros
* Fri Sep 14 2007 stbinner@suse.de
- own one path more
* Sat Sep  1 2007 stbinner@suse.de
- bump version to 3.93.0
* Thu Aug 30 2007 dmueller@suse.de
- add %%kde4_modules
* Thu Aug 16 2007 stbinner@suse.de
- define _kde_html_dir as $prefix/share/doc/kde/HTML (#292072)
* Sat Aug  4 2007 dmueller@suse.de
- bump version to 3.92.0
* Mon Jul 16 2007 stbinner@suse.de
- bump version to 3.91.0 to be in sync with KDE release
* Tue Jun 12 2007 stbinner@suse.de
- add LGPL license file (#279912)
* Fri Jun  8 2007 dmueller@suse.de
- fix quoting in kde_post_install macro
* Mon Jun  4 2007 dmueller@suse.de
- add apps/kicker/applets
* Fri Jun  1 2007 coolo@suse.de
- initial package
